Package com.google.earth.kml._2

# Class GroundOverlayType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.FeatureType
com.google.earth.kml._2.OverlayType
com.google.earth.kml._2.GroundOverlayType

public class GroundOverlayType extends OverlayType
<p>Java class for GroundOverlayType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="GroundOverlayType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}OverlayType"> <sequence> <element name="altitude" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> <element name="altitudeMode" type="{http://earth.google.com/kml/2.1}altitudeModeEnum" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}LatLonBox" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Double`
  `altitude`
  `protected AltitudeModeEnum`
  `altitudeMode`
  `protected LatLonBoxType`
  `latLonBox`

  ### Fields inherited from class com.google.earth.kml._2.OverlayType

  `color, drawOrder, icon`

  ### Fields inherited from class com.google.earth.kml._2.FeatureType

  `address, description, lookAt, metadata, name, open, phoneNumber, region, snippet, styleSelector, styleUrl, timePrimitive, visibility`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroundOverlayType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getAltitude()`
  Gets the value of the altitude property.
  `AltitudeModeEnum`
  `getAltitudeMode()`
  Gets the value of the altitudeMode property.
  `LatLonBoxType`
  `getLatLonBox()`
  Gets the value of the latLonBox property.
  `void`
  `setAltitude(Double value)`
  Sets the value of the altitude property.
  `void`
  `setAltitudeMode(AltitudeModeEnum value)`
  Sets the value of the altitudeMode property.
  `void`
  `setLatLonBox(LatLonBoxType value)`
  Sets the value of the latLonBox property.

  ### Methods inherited from class com.google.earth.kml._2.OverlayType

  `getColor, getDrawOrder, getIcon, setColor, setDrawOrder, setIcon`

  ### Methods inherited from class com.google.earth.kml._2.FeatureType

  `getAddress, getDescription, getLookAt, getMetadata, getName, getPhoneNumber, getRegion, getSnippet, getStyleSelector, getStyleUrl, getTimePrimitive, isOpen, isVisibility, setAddress, setDescription, setLookAt, setMetadata, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setStyleUrl, setTimePrimitive, setVisibility`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### altitude

    protected Double altitude

  - ### altitudeMode

    protected AltitudeModeEnum altitudeMode

  - ### latLonBox

    protected LatLonBoxType latLonBox

- ## Constructor Details

  - ### GroundOverlayType

    public GroundOverlayType()

- ## Method Details

  - ### getAltitude

    public Double getAltitude()
    Gets the value of the altitude property.
    Returns:
      possible object is `Double`

  - ### setAltitude

    public void setAltitude(Double value)
    Sets the value of the altitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()
    Gets the value of the altitudeMode property.
    Returns:
      possible object is `AltitudeModeEnum`

  - ### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum value)
    Sets the value of the altitudeMode property.
    Parameters:
      `value` - allowed object is `AltitudeModeEnum`

  - ### getLatLonBox

    public LatLonBoxType getLatLonBox()
    Gets the value of the latLonBox property.
    Returns:
      possible object is `LatLonBoxType`

  - ### setLatLonBox

    public void setLatLonBox(LatLonBoxType value)
    Sets the value of the latLonBox property.
    Parameters:
      `value` - allowed object is `LatLonBoxType`